procedure add_systems;{Note to self: Check the progressions in the elements for each system}
begin
{Wait for a element not to hit in "X" times, and then bet progression.
0 didn_apear - indicate how much spins the element didn't lan
1 alert - indicate how much spins we must wait for element didn't apear
2 cnt_progression - store the current number from progresiion array
3 win_coeficient - indicate how much increase the bet on winning
4 names - indicate the name of element (look at the s_utils module to get the name, or to add your own names)
5 martingale_progression - indicate the element's progression
6 cnt_elements - indicate how much same table-elements we have in the group, usuall =1 (for example we have [0,10,0,??,'groupA'[0,1,1,1,2,2,3,4,5,7,9,12]
  where groupA - is the 9 singles. In this case the win_coeficient must remain 35, and the cnt_elements=9.
  So the correct will be [0,10,0,35,'groupA',[0,1,1,1,2,2,3,4,5,7,9,12],9])
7 play_cnt - indicate how much times the element will play
  (-1 - the element will always play; 0 - the element will not play; 1 - the element will play only once; 2 - only 2 times; 3 - only 3 times; ...)
  (in this example: red - will play always; column1 - will play 3 times; single0-will never play; street4 - will play 1 time.)
8 will indicate how much elements we have in this row, 
you must change only the alert, win_coeficient, names, martingale_progression, cnt_elements, play_cnt - these value will be used for all the same elements}

elements:=[
[[0],6,[0],1,[{Even Chances}
'Red',
'Black',
'High',
'Low',
'Odd',
'Even'
],
[0,1,2,4,8,16,32,1,2,4,8,16,32,64,128,256,512]{Progressions for Even Chances}
,1,[-1]{turned on},0],

[[0],6,[0],2,[{Columns and Dozens.}
'Dozen Low',
'Dozen Med',
'Dozen High',
'Column 1',
'Column 2',
'Column 3'
],
[0,1,1,2,3,4,6,9,14,21,31,47,
1,1,2,3,4,6,9,14,21,31,47,70,105,158,237,355,533]{Progressions for Dozens and Columns}
,1,[-1]{turned on},0],

[[0],6,[0],5,[{Lines}
'Line 1',
'Line 3',
'Line 5',
'Line 7',
'Line 9',
'Line 11'
],
[0,1,1,1,1,1,1,2,2,2,3,3,4,5,6,7,8,10,12,14,18,21,25,30,36,43,
1,1,1,1,1,1,2,2,2,3,3,4,5,6,7,8,10,12,14,18,21,25,30,36,43]{Progressions for Lines}
,1,[-1]{turned on},0],

[[0],10,[0],11,[{Streets}
'Street 1',
'Street 2',
'Street 3',
'Street 4',
'Street 5',
'Street 6',
'Street 7',
'Street 8',
'Street 9',
'Street 10',
'Street 11',
'Street 12'
],
[0,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,
7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,
45,50,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,
6,7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50]{Progressions for Streets}
,1,[-1]{turned on},0],

[[0],15,[0],8,[{Corners}
'Corner 1',
'Corner 2',
'Corner 5',
'Corner 6',
'Corner 9',
'Corner 10',
'Corner 13',
'Corner 14',
'Corner 17',
'Corner 18',
'Corner 21',
'Corner 22'
],
[0,1,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,
7,8,9,10,12,14,16,18,20,22,25,28,32,1,1,1,1,1,
1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,7,8,9,10,12,
14,16,18,20,22,25,28,32,1,1,1,1,1,1,1,1,1,2,2,
2,2,3,3,3,4,4,5,5,6,7,8,9,10,12,14,16,18,20,22,25,28,32]{Progressions for Coners}
,1,[-1]{turned on},0],

[[0],100,[0],35,[{Singles}
'Single 0',
'Single 1',
'Single 2',
'Single 3',
'Single 4',
'Single 5',
'Single 6',
'Single 7',
'Single 8',
'Single 9',
'Single 10',
'Single 11',
'Single 12',
'Single 13',
'Single 14',
'Single 15',
'Single 16',
'Single 17',
'Single 18',
'Single 19',
'Single 20',
'Single 21',
'Single 22',
'Single 23',
'Single 24',
'Single 25',
'Single 26',
'Single 27',
'Single 28',
'Single 29',
'Single 30',
'Single 31',
'Single 32',
'Single 33',
'Single 34',
'Single 35',
'Single 36'
],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,4,4,4,4,4,4,
4,4,4,5,5,5,5,5,5,5,6,6,6,6,6,6,7,7,7,7,7,8,8,8,
8,9,9,9,9,10,10,10,10,11,11,11,12,12,12,13,13,13,
14,15,15,15,15,16,16,17,17,18,18,19,19,20,20,21,
22,22,23,24,24,25,26,26,27,28,29,30,30,31,32,33,
34,35,36,37,38,39,40,41,43,44,45,46,48,49,50,52,53,55]{Progressions for Singles}
,1,[-1]{turned on},0],

[[0],50,[0],17,[{Splits}
'Split 1_4',
'Split 2_5',
'Split 3_6',
'Split 4_7',
'Split 5_8',
'Split 6_9',
'Split 7_10',
'Split 8_11',
'Split 9_12',
'Split 10_13',
'Split 11_14',
'Split 12_15',
'Split 13_16',
'Split 14_17',
'Split 15_18',
'Split 16_19',
'Split 17_20',
'Split 18_21',
'Split 19_22',
'Split 20_23',
'Split 21_24',
'Split 22_25',
'Split 23_26',
'Split 24_27',
'Split 25_28',
'Split 26_29',
'Split 27_30',
'Split 28_31',
'Split 29_32',
'Split 30_33',
'Split 31_34',
'Split 32_35',
'Split 33_36'
],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
2,2,2,2,2,2,2,2,2,3,3,3,3,3,3,4,4,4,4,
5,5,5,5,6,6,6,7,7,8,8,9,9,10,10,11,11,12,13,14,14,
15,16,18,18,19,20,21,22,22,25,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,3,3,3,
3,3,3,4,4,4,4,5,5,5,5,6,6,6,7,7,8,8,9,9,10,10,
11,11,12,13,14,14,15,16,18,18,19,20,21,22,22,25]{Progressions for Splits}
,1,[-1]{turned on},0],

[[0],10,[0],17,[
'Tier'
],
[0,1,2,4,8,16,32,1,2,4,8,16,32,64,128,256,512]{Progressions for Tier}
,6,[-1]{turned on},0],

[[0],10,[0],-1,[
'Voisins'
],
[0,1,2,4,8,16,32,1,2,4,8,16,32,64,128,256,512]{Progressions for Voisins}
,9,[-1]{turned on},0],

[[0],10,[0],-1,[
'Orphelins'
],
[0,1,2,4,8,16,32,1,2,4,8,16,32,64,128,256,512]{Progressions for Orphelins}
,5,[-1]{turned on},0],

[[0],10,[0],35,[{Neighbors}
'Neighbors 0',
'Neighbors 1',
'Neighbors 2',
'Neighbors 3',
'Neighbors 4',
'Neighbors 5',
'Neighbors 6',
'Neighbors 7',
'Neighbors 8',
'Neighbors 9',
'Neighbors 10',
'Neighbors 11',
'Neighbors 12',
'Neighbors 13',
'Neighbors 14',
'Neighbors 15',
'Neighbors 16',
'Neighbors 17',
'Neighbors 18',
'Neighbors 19',
'Neighbors 20',
'Neighbors 21',
'Neighbors 22',
'Neighbors 23',
'Neighbors 24',
'Neighbors 25',
'Neighbors 26',
'Neighbors 27',
'Neighbors 28',
'Neighbors 29',
'Neighbors 30',
'Neighbors 31',
'Neighbors 32',
'Neighbors 33',
'Neighbors 34',
'Neighbors 35',
'Neighbors 36'
],
[0,1,1,1,1,1,1,1,2,2,2,3,3,4,4,5,6,7,
8,9,10,12,14,16,19,22,1,1,1,1,1,1,1,
2,2,2,3,3,4,4,5,6,7,8,9,10,12,14,16,19,22]{Progressions for Neighbors}
,5,[-1]{turned on},0],

[[0],10,[0],35,[{Final Bet x4}
'Finalbet 0',
'Finalbet 1',
'Finalbet 2',
'Finalbet 3',
'Finalbet 4',
'Finalbet 5',
'Finalbet 6'
],
[0,1,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,
4,4,5,5,6,7,8,9,10,11,12,14,16,18,20,
1,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,
5,5,6,7,8,9,10,11,12,14,16,18,20]{Progressions for Final Bet of 4}
,4,[-1]{turned on},0],

[[0],10,[0],35,[{Final Bet x3}
'Finalbet 7',
'Finalbet 8',
'Finalbet 9'
],
[0,1,1,1,1,1,1,1,1,1,1,1,1,
2,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,
7,7,8,9,10,11,12,13,14,15,16,18,
20,1,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,
2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,
12,13,14,15,16,18,20]{Progressions for Final Bet of 3}
,3,[-1]{turned on},0],

[[0],10,[0],35,[{Sectors}
'Sector 1',
'Sector 2',
'Sector 3',
'Sector 4',
'Sector 5',
'Sector 6'
],
[0,1,1,1,1,1,1,1,1,1,2,2,2,2,3,3,
3,4,4,5,5,6,7,8,9,10,11,12,14,16,18,
20,1,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,
5,5,6,7,8,9,10,11,12,14,16,18,20]{Progressions for Sectors}
,7,[-1]{turned on},0],

[[0],5,[0],17,[{Split Sectors}
'Split Sector 1',
'Split Sector 2',
'Split Sector 3'
],
[0,1,1,1,1,1,1,1,1,1,2,2,2,2,3,3,
3,4,4,5,5,6,7,8,9,10,11,12,14,16,18,
20,1,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,
5,5,6,7,8,9,10,11,12,14,16,18,20]{Progressions for Split Sectors}
,1,[-1]{turned on},0]
]

elements1:=[
[[0],1,[0],1,[{EC Combos x2}
'Red & Odd',
'Red & Even',
'Red & Low',
'Red & High',
'Black & Odd',
'Black & Even',
'Black & Low',
'Black & High',
'Odd & Low',
'Odd & High',
'Even & Low',
'Even & High'
],
[0,1,2,4,8,16,32,1,2,4,8,16,32,64,128,256,512]{Progressions for Even Chances Combo x2}
,2,[-1]{turned on},0],

[[0],1,[0],1,[{Even Chances Combos x 3}
'Red,Odd & Low',
'Red,Even & Low',
'Red,Odd & High',
'Red,Even & High',
'Black,Odd & Low',
'Black,Even & Low',
'Black,Odd & High',
'Black,Even & High'
],
[0,1,2,4,8,16,32,1,2,4,8,16,32,64,128,256,512]{Progressions for Even Chances Combo x3}
,3,[-1]{turned on},0],

[[0],6,[0],2,[{Dozen Combos, Column Combos}
'Dozen Low & Med',
'Dozen Low & High',
'Dozen Med & High',
'Column 1 & 2',
'Column 1 & 3',
'Column 2 & 3'
],
[0,1,3,9,27,81,243]{Progressions for Dozens Columns Combos}
,2,[-1]{turned on},0],

[[0],10,[0],5,[{Lines Combos of 2}
'Line 1 & 3',
'Line 1 & 5',
'Line 1 & 7',
'Line 1 & 9',
'Line 1 & 11',
'Line 3 & 5',
'Line 3 & 7',
'Line 3 & 9',
'Line 3 & 11',
'Line 5 & 7',
'Line 5 & 9',
'Line 5 & 11',
'Line 7 & 9',
'Line 7 & 11',
'Line 9 & 11'
],
[0,1,1,2,3,4,6,9,14,21,31,47,
1,1,2,3,4,6,9,14,21,31,47,70,105,158,237,355,533]{Progressions for Line Combos x2}
,2,[-1]{turned on},0],

[[0],10,[0],5,[{Lines Combos of 3}
'Line 1,3 & 5',
'Line 1,3 & 5',
'Line 1,3 & 7',
'Line 1,3 & 9',
'Line 1,3 & 11',
'Line 1,5 & 7',
'Line 1,5 & 9',
'Line 1,5 & 11',
'Line 1,7 & 9',
'Line 1,7 & 11',
'Line 1,9 & 11',
'Line 3,5 & 7',
'Line 3,5 & 9',
'Line 3,5 & 11',
'Line 5,7 & 9',
'Line 5,7 & 11',
'Line 7,9 & 11'
],
[0,1,2,4,8,16,32,64,128,256]{Progressions for Line Combos x3}
,3,[-1]{turned on},0],

[[0],10,[0],5,[{Lines Combos of 4}
'Line 1,3,5 & 7',
'Line 1,3,5 & 9',
'Line 1,3,5 & 11',
'Line 1,3,7 & 9',
'Line 1,3,7 & 11',
'Line 1,3,9 & 11',
'Line 1,5,7 & 9',
'Line 1,5,7 & 11',
'Line 1,5,9 & 11',
'Line 1,7,9 & 11',
'Line 3,5,7 & 9',
'Line 3,5,9 & 11',
'Line 3,7,9 & 11',
'Line 5,7,9 & 11'
],
[0,1,2,7,21,1,2,7,21,64]{Progressions for Line Combos x4}
,4,[-1]{turned on},0],

[[0],10,[0],11,[{Street Combos x2}
'Street 1 & 2',
'Street 1 & 3', 
'Street 1 & 4', 
'Street 1 & 5', 
'Street 1 & 6', 
'Street 1 & 7', 
'Street 1 & 8', 
'Street 1 & 9', 
'Street 1 & 10', 
'Street 1 & 11', 
'Street 1 & 12', 
'Street 2 & 3', 
'Street 2 & 4', 
'Street 2 & 5',  
'Street 2 & 6', 
'Street 2 & 7',  
'Street 2 & 8',  
'Street 2 & 9',  
'Street 2 & 10', 
'Street 2 & 11', 
'Street 2 & 12', 
'Street 3 & 4',  
'Street 3 & 5',  
'Street 3 & 6',  
'Street 3 & 7',  
'Street 3 & 8',  
'Street 3 & 9',  
'Street 3 & 10',  
'Street 3 & 11',  
'Street 3 & 12', 
'Street 4 & 5', 
'Street 4 & 6',  
'Street 4 & 7',  
'Street 4 & 8', 
'Street 4 & 9',  
'Street 4 & 10', 
'Street 4 & 11', 
'Street 4 & 12',  
'Street 5 & 6', 
'Street 5 & 7', 
'Street 5 & 8', 
'Street 5 & 9', 
'Street 5 & 10', 
'Street 5 & 11',  
'Street 5 & 12', 
'Street 6 & 7', 
'Street 6 & 8', 
'Street 6 & 9',  
'Street 6 & 10',  
'Street 6 & 11',  
'Street 6 & 12',  
'Street 7 & 8',  
'Street 7 & 9',  
'Street 7 & 10',  
'Street 7 & 11',  
'Street 7 & 12',  
'Street 8 & 9', 
'Street 8 & 10',  
'Street 8 & 11',  
'Street 8 & 12',  
'Street 9 & 10',  
'Street 9 & 11', 
'Street 9 & 12',  
'Street 10 & 11', 
'Street 10 & 12', 
'Street 11 & 12'
],
[0,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,
3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,
13,14,16,17,19,21,23,25,28,31,34,37,
41,45,50,1,1,1,1,1,1,1,1,1,1,1,2,2,2,
2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,
12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50]{Progressions for Streets Combo x2}
,2,[-1]{turned on},0],

{Streets Combinations x 3}
[[0],1,[0],11,[
'Street 1,2 & 3',
'Street 1,2 & 5',
'Street 1,2 & 7',
'Street 1,2 & 9',
'Street 1,2 & 11',
'Street 1,3 & 5',
'Street 1,3 & 7',
'Street 1,3 & 9',
'Street 1,3 & 11',
'Street 1,5 & 7',
'Street 1,5 & 9',
'Street 1,5 & 11',
'Street 1,4 & 6',
'Street 1,4 & 8',
'Street 1,4 & 10',
'Street 1,4 & 12',
'Street 2,4 & 6',
'Street 2,4 & 8',
'Street 2,4 & 10',
'Street 2,4 & 12'
],
[0,1,1,1,2,2,3,4,6,8,11,15,21,29,39,
1,1,1,2,2,3,4,6,8,11,15,21,29,39,
1,1,1,2,2,3,4,6,8,11,15,21,29,39]{Progressions for Streets Combo x3}
,3,[-1]{turned on},0],

{Streets Combinations x 4}
[[0],1,[0],11,[
'Street 2,4,6 & 8',
'Street 2,4,6 & 10',
'Street 2,4,6 & 12',
'Street 2,4,8 & 10',
'Street 2,4,8 & 12',
'Street 2,4,10 & 12',
'Street 2,6,8 & 10',
'Street 2,6,8 & 12',
'Street 2,6,10 & 12',
'Street 2,8,10 & 12',
'Street 4,6,8 & 10',
'Street 4,6,8 & 12',
'Street 4,6,10 & 12',
'Street 4,8,10 & 12',
'Street 6,8,10 & 12'
],
[0,1,1,2,3,4,7,11,17,27,1,1,2,3,4,
7,11,17,27,1,1,2,3,4,7,11,17,27]{Progressions for Streets Combo x4}
,4,[-1]{turned on},0],

[[0],1,[0],11,[
'Street 1,2,3,4,5,6,7,8,9,10,11',
'Street 1,2,3,4,5,6,7,8,9,10,12',
'Street 1,2,3,4,5,6,7,8,9,11,12',
'Street 1,2,3,4,5,6,7,8,10,11,12',
'Street 1,2,3,4,5,6,7,9,10,11,12',
'Street 1,2,3,4,5,6,8,9,10,11,12',
'Street 1,2,3,4,5,7,8,9,10,11,12',
'Street 1,2,3,4,6,7,8,9,10,11,12',
'Street 1,2,3,5,6,7,8,9,10,11,12',
'Street 1,2,4,5,6,7,8,9,10,11,12',
'Street 1,3,4,5,6,7,8,9,10,11,12',
'Street 2,3,4,5,6,7,8,9,10,11,12'
],
[0,1,1,4,4,12,12,24,144]{Progressions for Streets Combo x11}
,11,[-1]{turned on},0]
];
end;
